void BeriIzSpomina_UHF()
{

	if (Spomini < 49)
	{
		//RPT names in EEPROM - Added 07.12.2015
		//Get record from EEPROM
		db.read(Spomini, DB_REC myrec);
		
		FRx = (float)myrec.f_Rx / 10000;
		if (myrec.ctcss_tx < 10)
		{
			tx_ctcss = "0" + String(myrec.ctcss_tx);
		}
		else
		{
			tx_ctcss = String(myrec.ctcss_tx);
		}
		MemOpis = String(myrec.LongName);
		if (myrec.Band == 1)						// VHF
		{
			MemName = "R" + String(myrec.ShortName);
			if (myrec.ShortName == 99)				// Echolink pass has no RPT Shift
			{
				Shift_RPT = 0;
			}
			else
			{
				Shift_RPT = 6000;
			}
				
		}
		else										// UHF
		{
			MemName = "RU" + String(myrec.ShortName);
			Shift_RPT = 76000;
		}
		FTx = (float)(myrec.f_Rx - Shift_RPT) / 10000;

	}
	else
	{
		NastaviSimpleks();
	}
	rx_ctcss = "00";
	Nastavi_DRA();

}


void NastaviSimpleks()								// From memory location simplax frequency is calculated
{
	if ((Spomini > 48) && (Spomini < 66))					// UHF Simplex
	{
		FrekvMode = 4334000 + (Spomini - 49) * 125;
		MemName = "U2" + String((Spomini + 23));
	}
	else													// VHF Simplex
	{
		FrekvMode = 1452000 + (Spomini - 66) * 125;
		MemName = "V" + String((Spomini - 50));
	}
	FTx = (float)FrekvMode / 10000;
	FRx = FTx;
	MemOpis = MemName;
	tx_ctcss = "00";
	rx_ctcss = "00";
}

void Spomini_UP()
{
	Spomini++;
	if (BandMode == 3)						// VHF and UHF
	{
		if (Spomini > 97)
		{
			Spomini = 2;
		}
	}
	if (BandMode == 2)						// UHF only simpleks spomini od 49 do 65
	{										//          RPT spomini od 26 do 48
		if (Spomini > 65)
		{
			Spomini = 26;
		}
	}
	if (BandMode == 1)						// VHF only simpleks spomini od 66 do 97
	{										//          RPT spomini od 2 do 25
		if (Spomini > 97)
		{
			Spomini = 2;
		}
		if (Spomini == 26)
		{
			Spomini = 66;
		}
	}
}

void Spomini_Down()
{
	Spomini--;
	if (BandMode == 3)
	{
		if (Spomini < 2)
		{
			Spomini = 97;
		}
	}
	if (BandMode == 2)								// UHF only simpleks spomini od 49 do 65
	{												//          RPT spomini od 26 do 48
		if (Spomini < 26)
		{
			Spomini = 65;
		}
	}
	if (BandMode == 1)								// VHF only simpleks spomini od 66 do 97
	{												//          RPT spomini od 2 do 25
		if (Spomini < 2)
		{
			Spomini = 97;
		}		
		if (Spomini == 65)
		{
			Spomini = 24;
		}

	}
}

/*	switch (Spomini)
	{
	case 1:
		FTx = 430.9500;
		FRx = 438.5500;
		tx_ctcss = "18";							//123,0 Hz
		MemOpis = "Zagarski vrh";
		MemName = "RU684";
		break;
	case 2:
		FTx = 431.0000;
		FRx = 438.6000;
		tx_ctcss = "00";
		MemOpis = "Mirna gora";
		MemName = "RU688";
		break;
	case 3:
		FTx = 431.0250;
		FRx = 438.6250;
		tx_ctcss = "18";							//123,0 Hz
		MemOpis = "Stare Slemene";
		MemName = "RU690";
		break;
	case 4:
		FTx = 431.0750;
		FRx = 438.6750;
		tx_ctcss = "18";							//123,0 Hz
		MemOpis = "Krvavec";
		MemName = "RU694";
		break;
	case 5:
		FTx = 431.1000;
		FRx = 438.7000;
		tx_ctcss = "18";							//123,0 Hz
		MemOpis = "Grmada";
		MemName = "RU696";
		break;
	case 6:
		FTx = 431.1250;
		FRx = 438.7250;
		tx_ctcss = "18";							//123,0 Hz
		MemOpis = "Brezice";
		MemName = "RU698";
		break;
	case 7:
		FTx = 431.1750;
		FRx = 438.7750;
		tx_ctcss = "18";							//123,0 Hz
		MemOpis = "Krim";
		MemName = "RU702";
		break;
	case 8:
		FTx = 431.2000;
		FRx = 438.8000;
		tx_ctcss = "18";							//123,0 Hz
		MemOpis = "RK Piran";
		MemName = "RU704";
		break;
	case 9:
		FTx = 431.2250;
		FRx = 438.8250;
		tx_ctcss = "18";							//123,0 Hz
		MemOpis = "Precna reber";
		MemName = "RU706";
		break;
	case 10:
		FTx = 431.2750;
		FRx = 438.8750;
		tx_ctcss = "18";							//123,0 Hz
		MemOpis = "Jance";
		MemName = "RU710";
		//MemName = "Jance  ";
		break;
	case 11:
		FTx = 431.2750;
		FRx = 438.8750;
		tx_ctcss = "00";							//123,0 Hz
		MemOpis = "Korada";
		MemName = "RU710";
		break;
	case 12:
		FTx = 431.3000;
		FRx = 438.9000;
		tx_ctcss = "18";							//123,0 Hz
		MemOpis = "Sv.Rok";
		MemName = "RU712";
		break;
	case 13:
		FTx = 431.3250;
		FRx = 438.9250;
		tx_ctcss = "00";							//123,0 Hz
		MemOpis = "Krvavec PD";
		MemName = "RU714";
		break;
	case 14:
		FTx = 431.3500;
		FRx = 438.9500;
		tx_ctcss = "18";							//123,0 Hz
		MemOpis = "Celje";
		MemName = "RU716";
		break;
	case 15:
		FTx = 431.4000;
		FRx = 439.0000;
		tx_ctcss = "18";							//123,0 Hz
		MemOpis = "Laze";
		MemName = "RU720";
		break;
	case 16:
		FTx = 431.5250;
		FRx = 439.1250;
		tx_ctcss = "18";							//123,0 Hz
		MemOpis = "Kum";
		MemName = "RU730";
		break;
	case 17:
		FTx = 431.5750;
		FRx = 439.1750;
		tx_ctcss = "18";							//123,0 Hz
		MemOpis = "Sveta planina";
		MemName = "RU734";
		break;
	case 18:
		FTx = 431.6000;
		FRx = 439.2000;
		tx_ctcss = "18";							//123,0 Hz
		MemOpis = "Krsko";
		MemName = "RU736";
		break;
	case 19:
		FTx = 431.625;
		FRx = 439.2250;
		tx_ctcss = "00";
		MemOpis = "Pohorje";
		MemName = "RU738";
		break;
	case 20:
		FTx = 431.6250;
		FRx = 439.2250;
		tx_ctcss = "00";
		MemOpis = "Vojsko";
		MemName = "RU738";
		break;
	case 21:
		FTx = 431.6750;
		FRx = 439.2750;
		tx_ctcss = "18";							//123,0 Hz
		MemOpis = "Mrzlica";
		MemName = "RU742";
		break;
	case 22:
		FTx = 431.7000;
		FRx = 439.3000;
		tx_ctcss = "18";							//123,0 Hz
		MemOpis = "Malic";
		MemName = "RU744";
		break;
	case 23:
		FTx = 431.7250;
		FRx = 439.3250;
		tx_ctcss = "00";							//123,0 Hz
		MemOpis = "Struska";
		MemName = "RU746";
		break;
	default:
		NastaviSimpleks();
		break;
	}
	case 23:
		//FTx = 433.4000;
		//FRx = 433.4000;
		//tx_ctcss = "00";							//123,0 Hz
		//MemOpis = "U272";
		//MemName = "U272";
		NastaviSimpleks();
		break;
	case 24:
		//FTx = 433.4250;
		//FRx = 433.4250;
		//tx_ctcss = "0000";							//123,0 Hz
		MemOpis = "U273";
		MemName = "U273";
		NastaviSimpleks();
		break;
	case 25:
		//FTx = 433.4500;
		//FRx = 433.4500;
		//tx_ctcss = "0000";							//123,0 Hz
		MemOpis = "U274";
		MemName = "U274";
		NastaviSimpleks();
		break;
	case 26:
		//FTx = 433.4750;
		//FRx = 433.4750;
		//tx_ctcss = "0000";							//123,0 Hz
		MemOpis = "U275";
		MemName = "U275";
		NastaviSimpleks();
		break;
	case 27:
		//FTx = 433.5000;
		//FRx = 433.5000;
		//tx_ctcss = "0000";							//123,0 Hz
		MemOpis = "U276";
		MemName = "U276";
		NastaviSimpleks();
		break;
	case 28:
		//FTx = 433.5250;
		//FRx = 433.5250;
		//tx_ctcss = "0000";							//123,0 Hz
		MemOpis = "U277";
		MemName = "U277";
		NastaviSimpleks();
		break;
	case 29:
		//FTx = 433.5500;
		//FRx = 433.5500;
		//tx_ctcss = "0000";							//123,0 Hz
		MemOpis = "U278";
		MemName = "U278";
		NastaviSimpleks();
		break;
	case 30:
		//FTx = 433.5750;
		//FRx = 433.5750;
		//tx_ctcss = "00";							//123,0 Hz
		MemOpis = "U279";
		MemName = "U279";
		NastaviSimpleks();
		break;
	case 31:
		//FTx = 433.5750;
		//FRx = 433.5750;
		//tx_ctcss = "00";							//123,0 Hz
		MemOpis = "U280";
		MemName = "U280";
		NastaviSimpleks();
		break;
	case 32:
		//FTx = 433.5750;
		//FRx = 433.5750;
		//tx_ctcss = "00";							//123,0 Hz
		MemOpis = "U281";
		MemName = "U281";
		NastaviSimpleks();
		break;
	case 33:
		//FTx = 433.5750;
		//FRx = 433.5750;
		//tx_ctcss = "00";							//123,0 Hz
		MemOpis = "U282";
		MemName = "U282";
		NastaviSimpleks();
		break;
	case 34:
		//FTx = 433.5750;
		//FRx = 433.5750;
		//tx_ctcss = "00";							//123,0 Hz
		MemOpis = "U283";
		MemName = "U283";
		NastaviSimpleks();
		break;
	case 35:
		//FTx = 433.5750;
		//FRx = 433.5750;
		//tx_ctcss = "00";							//123,0 Hz
		MemOpis = "U284";
		MemName = "U284";
		NastaviSimpleks();
		break;
	case 36:
		//FTx = 433.5750;
		//FRx = 433.5750;
		//tx_ctcss = "00";							//123,0 Hz
		MemOpis = "U285";
		MemName = "U285";
		NastaviSimpleks();
		break;
	case 37:
		//FTx = 433.5750;
		//FRx = 433.5750;
		tx_ctcss = "00";							//123,0 Hz
		MemOpis = "U286";
		MemName = "U286";
		NastaviSimpleks();
		break;
	}

	Nastavi_DRA();
}*/



