

void Nastavi_DRA()							// Send group commnd to DRA module
{
	/*	// DRA818U/V
	Serial.print ("AT+DMOSETGROUP="); // Begin message
	Serial.print (BW, 1);
	Serial.print (",");
	Serial.print (FTx, 4);
	Serial.print (",");
	Serial.print (FRx, 4);
	Serial.print (",");
	Serial.print (tx_ctcss);
	Serial.print (",");
	Serial.print (squ);
	Serial.print (",");
	Serial.println (rx_ctcss);
	delay(100);
	*/


	// DRA818U/V
	Serial.print(F("AT+DMOSETGROUP=")); // Begin message
	Serial.print(BW, 1);
	Serial.print(F(","));
	Serial.print(FTx, 4);
	Serial.print(F(","));
	Serial.print(FRx, 4);
	Serial.print(F(",00"));
	Serial.print(tx_ctcss);
	Serial.print(F(","));
	Serial.print(squ);
	Serial.print(F(",00"));
	Serial.println(rx_ctcss);
	delay(100);



	//Refresh main screen
	MojGLCD.setFont(TinyFont);
	MojGLCD.print(tx_ctcss, 14, 3);
	MojGLCD.print(rx_ctcss, 74, 3);
	MojGLCD.setFont(SmallFont);
	MojGLCD.printNumF(FRx, 4, 19, 25);
	MojGLCD.printNumI(vol, 19, 39);
	MojGLCD.printNumI(squ, 73, 39);
	MojGLCD.setFont(TinyFont);
	MojGLCD.print(String(Nacin[ModeDela - 1]), 3, 26);
	MojGLCD.setFont(SmallFont);
	//MojGLCD.update();
	//ZbrisiPodrocje(2, 15, 80, 23);
	//ZbrisiPodrocje(21, 2, 60, 10);

	if ((ModeDela == 1) || (ModeDela == 3))
	{
		ZbrisiPodrocje(2, 15, 80, 23);
		ZbrisiPodrocje(21, 2, 60, 10);
		MojGLCD.print(MemName, CENTER, 2);
		MojGLCD.print(MemOpis, CENTER, 15);
	}
	else
	{
		//MojGLCD.print(F("Frequency"), CENTER, 15);
		ZbrisiPodrocje(2, 15, 80, 23);
		MojGLCD.setFont(TinyFont);
		if (RPT_Shift == 1)									// no offset - simpleks mode
		{
			MojGLCD.print(F("Simplex mode"), CENTER, 15);
		}
		else												// offset - repeater mode
		{
			if (RPT_Shift == 2)
			{
				MojGLCD.print(F("RPT -"), 19, 15);
			}
			else
			{
				MojGLCD.print(F("RPT +"), 19, 15);
			}
			MojGLCD.printNumI(RPT_Offset, 39, 15, 4);
			MojGLCD.print(F("kHz"), 57, 15);
		}
		MojGLCD.setFont(SmallFont);
	}
	MojGLCD.update();
}

void Nastavi_Vol_DRA()							// Send volume command to DRA module
{
	// DRA818U/V

	Serial.print(F("AT+DMOSETVOLUME=")); // Begin message
	Serial.println(vol);
}

void Setup_Tx_FreqMode()						//Sets Tx frequency in frequency mode according to shift
{
	FRx = (float)FrekvMode / 10000;
	RPT_OfS = (long int)RPT_Offset * 10;

	if (RPT_Shift == 1)
	{
		FTx = FRx;
	}
	if (RPT_Shift == 2)
	{
		FTx = (float)(FrekvMode - RPT_OfS) / 10000;
	}
	if (RPT_Shift == 3)
	{
		FTx = (float)(FrekvMode + RPT_OfS) / 10000;
	}
}