
void OsnovniZaslon()								// Main Screen 
{
	MojGLCD.drawRoundRect(0, 0, 83, 10);
	MojGLCD.drawRoundRect(0, 12, 83, 35);
	MojGLCD.drawRoundRect(0, 37, 83, 47);

	MojGLCD.setFont(TinyFont);
	MojGLCD.print(F("Tc:"), 2, 3);
	MojGLCD.print(F("Rc:"), 62, 3);
	//MojGLCD.print(String(Nacin[ModeDela-1]), 3, 28);
	MojGLCD.print(F("MHz"), 71, 26);
	MojGLCD.print(F("Vol:"), 4, 40);
	MojGLCD.print(F("Sql:"), 58, 40);
	MojGLCD.setFont(SmallFont);
	MojGLCD.update();

}


void ZbrisiPodrocje(byte x1, byte y1, byte x2, byte y2)				// Clear part of LCD screen
{
	for (byte i = x1; i <= x2; i++)
	{
		MojGLCD.clrLine(i, y1, i, y2);
		//MojGLCD.clrRow(1);
	}
	MojGLCD.update();

}

void ShowScanBar(byte MemoNumber)
{
	ZbrisiPodrocje(3, 13, 80, 15);
	MojGLCD.drawLine(3, 13, 16 * (MemoNumber + 1), 13);
	MojGLCD.update();
}

void ShowDelayScanBar(byte SecDelay)
{
	ZbrisiPodrocje(2, 34, 80, 35);
	MojGLCD.drawLine(4, 34, 4 * (SecDelay+1), 34);
	MojGLCD.update();
}